%global debug_package %{nil}
%global _buildhost    build-ol%{?oraclelinux}-%{?_arch}.oracle.com
%global old_app_name  oracle-olcne-release-el%{?oraclelinux}
%global app_name      oracle-ocne-release-el%{?oraclelinux}

%if %{?oraclelinux} == 9
%global app_release  7%{dist}
%else
%global app_release  14%{dist}
%endif

Name:           %{app_name}
Version:        1.0
Release:        %{app_release}
Vendor:         Oracle America
Summary:        Oracle Cloud Native Environment yum repository configuration

Group:          System Environment
License:        GPLv2

Source0:        oracle-ocne-ol%{?oraclelinux}.repo
Source1:        LICENSE
Source2:        oracle-ocne-ol%{?oraclelinux}.repo.aarch64

BuildArch:     x86_64 aarch64
%if %{?oraclelinux} == 9
Requires:      oraclelinux-release-el%{?oraclelinux} >= 1.0-10
%else
Requires:      oraclelinux-release-el%{?oraclelinux} >= 1.0-16
%endif

Requires:      grep
Requires:      sed
Requires:      yum-utils
Requires:      curl

Provides:      %{old_app_name} = %{version}-%{release}
Obsoletes:     %{old_app_name} < %{version}-%{release}
Conflicts:     %{old_app_name} < %{version}-%{release}

%description
This package contains the Oracle Cloud Native Environment yum repository configuration.

%prep
%setup  -q  -c -T


%build


%install
rm -rf $RPM_BUILD_ROOT


install -m 755 -d $RPM_BUILD_ROOT/usr/share/doc/%{name}/
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE0}   \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d
%if "%{?_host_cpu}" == "aarch64"
install -pm 644 %{SOURCE2}   \
    $RPM_BUILD_ROOT%{_sysconfdir}/yum.repos.d/oracle-ocne-ol%{?oraclelinux}.repo
%endif

install -m 755 %{SOURCE1}  $RPM_BUILD_ROOT%{_datadir}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%dir %{_datadir}/doc/%{name}
%{_datadir}/doc/%{name}/*
%config(noreplace) /etc/yum.repos.d/*

%changelog
* Thu May 22 2025 Murali Annamneni <murali.annamneni@oracle.com> - 1.0-14
- Remove post scriptlet used to update ociregion file which is nolonger required

* Thu Jan 30 2025 Daniel Krasinski <daniel.krasinski@oracle.com> - 1.0-%{app_release}
- Add developer channels for ocne

* Tue Sep 03 2024 Murali Annamneni <murali.annamneni@oracle.com> - 1.0-%{app_release}
- Deprecate the package with old name of olcne and rename it to ocne
- Added ocne 2.0 repositories for x86_64 and aarch64 on ol8 and ol9

* Tue Apr 30 2024 Stanislav Siris <stanislav.siris@oracle.com> - 1.0-%{app_release}
- Added olcne version 1.9 repository for x86_64 and aarch64 on ol8 and ol9

* Tue Feb 20 2024 Guoyong Zhang <guoyong.zhang@oracle.com> - 1.0-%{app_release}
- Disable all OCNE channels by default

* Thu Jan 04 2024 Murali Annamneni <murali.annamneni@oracle.com> - 1.0-%{app_release}
- Added olcne version 1.8 repository for x86_64 and aarch64 on ol8 and ol9

* Fri Jun 09 2023 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> 1.0-8
- Added olcne version 1.7 repository for x86_64 and ol8_developer_olcne repo for aarch64

* Wed Mar 15 2023 Keshav Sharma <keshav.sharma@oracle.com> 1.0-7
- Added olcne version 1.6 repository for x86_64 [OraBug: 35182554]

* Fri Apr 29 2022 Durai Govindasamy <durai.vattakalvalasu.govindas@oracle.com> 1.0-6
- Added olcne version 1.5 repository for x86_64 [OraBug: 34111597]

* Thu Feb  3 2022 Keshav Sharma <keshav.sharma@oracle.com> 1.0-5
- Added olcne developer repository [OraBug: 33820720]

* Wed Dec  8 2021 Keshav Sharma <keshav.sharma@oracle.com> 1.0-4
- Added olcne version 1.4 repository for aarch64 [OraBug: 33641138]

* Wed Jun 16 2021 Keshav Sharma <keshav.sharma@oracle.com> 1.0-3
- Added olcne version 1.3 repository for aarch64 [OraBug: 33010226]

* Mon May 24 2021 Keshav Sharma <keshav.sharma@oracle.com> 1.0-2
- Added olcne version 1.3 repository [OraBug: 32914245]

* Wed Nov 25 2020 Keshav Sharma <keshav.sharma@oracle.com> 1.0-1
- Initial package
